Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGL Development Tools » EGL EDT(Problem with update of 0.8.1 EDT )
EGL EDT [message #899688] Wed, 01 August 2012 20:52 Go to next message
James R. Martin is currently offline James R. Martin
Messages: 7
Registered: August 2010
Junior Member
[RESOLVED] ...I am getting the error:

!SESSION 2012-08-01 15:19:34.286 eclipse.buildId=M20120208-0800
java.version=1.7.0_05
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.osgi 4 0 2012-08-01 15:19:37.697
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "" could not be found in the registry. The applications available are: org.eclipse.ant.core.antRunner, org.eclipse.ant.ui.antRunner, org.eclipse.datatools.connectivity.console.profile.StorageFileEditor, org.eclipse.emf.codegen.CodeGen, org.eclipse.emf.codegen.JMerger, org.eclipse.emf.codegen.ecore.Generator, org.eclipse.emf.importer.ecore.Ecore2GenModel, org.eclipse.emf.importer.java.Java2GenModel, org.eclipse.emf.importer.rose.Rose2GenModel, org.eclipse.equinox.app.error, org.eclipse.equinox.p2.director, org.eclipse.equinox.p2.garbagecollector.application, org.eclipse.equinox.p2.publisher.InstallPublisher, org.eclipse.equinox.p2.publisher.EclipseGenerator, org.eclipse.equinox.p2.publisher.ProductPublisher, org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher, org.eclipse.equinox.p2.reconciler.application, org.eclipse.equinox.p2.repository.repo2runnable, org.eclipse.equinox.p2.repository.metadataverifier, org.eclipse.equinox.p2.artifact.repository.mirrorApplication, org.eclipse.equinox.p2.metadata.repository.mirrorApplication, org.eclipse.equinox.p2.updatesite.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.CategoryPublisher, org.eclipse.help.base.infocenterApplication, org.eclipse.help.base.helpApplication, org.eclipse.help.base.indexTool, org.eclipse.jdt.apt.core.aptBuild, org.eclipse.jdt.core.JavaCodeFormatter, org.eclipse.pde.build.Build, org.eclipse.pde.junit.runtime.uitestapplication, org.eclipse.pde.junit.runtime.legacytestapplication, org.eclipse.pde.junit.runtime.coretestapplication, org.eclipse.pde.junit.runtime.coretestapplicationnonmain, org.eclipse.pde.junit.runtime.nonuithreadtestapplication, org.eclipse.ui.ide.workbench, org.eclipse.update.core.standaloneUpdate, org.eclipse.update.core.siteOptimizer, org.eclipse.wst.jsdt.core.JavaCodeFormatter, org.eclipse.wst.server.preview.preview.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

I checked Java Version 1.7.0_05 from Oracle Corporation
is installed and running.

Can anyone tell me how to correct this problem?

James

James R. Martin J. Martin Associates
5185 Tara Ln., Bossier City, LA 71111 - 7810
Phone: (318) 752-4109 Cell Phone: ( 318) 773-9484 Personal e-mail: jmartin@jmartinassociates.net
Web Site: www.jmartinassociates.net

[Updated on: Thu, 02 August 2012 00:25]

Report message to a moderator

Re: EGL EDT [message #899692 is a reply to message #899688] Wed, 01 August 2012 21:07 Go to previous messageGo to next message
Matt Heitz is currently offline Matt Heitz
Messages: 36
Registered: July 2009
Member
Hi James,

What are you trying to do when this happens?

Also, how did you install 081? Did you download an all-in-one build or did you use the update site? If you used the update site, are you upgrading from an earlier release of EDT?

-Matt
Re: EGL EDT [message #899693 is a reply to message #899692] Wed, 01 August 2012 21:20 Go to previous messageGo to next message
James R. Martin is currently offline James R. Martin
Messages: 7
Registered: August 2010
Junior Member
I downloaded the eglweb-080-win32.zip and deleted the old eclipse and gave a new workspace of K:\EGL_EDT when trying to bring it up.

James
Re: EGL EDT [message #899697 is a reply to message #899688] Wed, 01 August 2012 22:16 Go to previous message
James R. Martin is currently offline James R. Martin
Messages: 7
Registered: August 2010
Junior Member
I solved my problem. I had a Java EE IDE installed which I used the instructions at:http://eclipse.org/edt/#download for Update site and it worked.

Problem solved.

James
Previous Topic:EDT 0.8.1 release is now available!
Next Topic:BIRT Report confusion
Goto Forum:
  


Current Time: Mon Sep 15 04:10:03 GMT 2014

Powered by FUDForum. Page generated in 0.16957 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software